templates:
- github
- autotools
- base

variables:
  recipe.maintainer:
  - lruegeme@techfak.uni-bielefeld.de
  description: Modules, provides dynamic modification of a user's environment
  keywords:
  - modulefile
  - modules

  extra-provides:
    - program: module
    - '@{next-value|[]}'

  github.user: cea-hpc
  github.project: modules

versions:
- pattern: '^(v.*)$'
  variables:
    tag: ${match:1}

- pattern: '^[0-9]+\.[0-9]+\.[0-9]+$' # E.g. 0.15.0
  variables:
    branch: 'v${match:0}'
